Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.mindcase.co/llms.txt

Use this file to discover all available pages before exploring further.

$0.8 / 1k addresses Extract street addresses and location names from Google Maps using latitude/longitude coordinates

Endpoint

POST /api/v1/agents/google/maps/reverse-geocoding/run

Parameters

coordinates
array
required
List ยท Coordinates as latitude,longitude (e.g. 37.4220579,-122.0862534). One per line.

Response columns

FieldDisplay nameType
latitudeLongitudeLatitude, Longitudetext
addressAddresstext

Example

curl -X POST https://api.mindcase.co/api/v1/agents/google/maps/reverse-geocoding/run \
  -H "Authorization: Bearer mk_live_abc123def456" \
  -H "Content-Type: application/json" \
  -d '{
  "params": {
    "coordinates": [
      "28.6285,77.2205",
      "28.6388,77.2373",
      "28.6414,77.2346",
      "28.6428,77.2308",
      "28.573,77.2278",
      "28.6498,77.1467",
      "28.5732,77.228",
      "28.5869,77.2247",
      "28.6586,77.2024",
      "28.6456,77.1878"
    ]
  }
}'

Example response

Response
{
  "job_id": "job_7f3a2b1c",
  "status": "completed",
  "data": [
    {
      "latitudeLongitude": "28.6285,77.2205",
      "address": "80 Janpath Tolstoy lane, Atul Grove Road, Janpath, Connaught Place, New Delhi, Delhi 110001, India"
    }
  ]
}